# -*- coding: utf-8 -*-
from django.shortcuts import get_object_or_404, render_to_response
from django.http import HttpResponseRedirect
from django.http import HttpResponse
from django.core.urlresolvers import reverse
from django.template import RequestContext
from django.conf.urls.static import static
from django.conf import settings
from django.core.context_processors import csrf
from django.views.generic.simple import direct_to_template
import string
import random
import os
import StringIO
from PIL import Image

import PythonMagick

# MongoDB
from pymongo import MongoClient
import gridfs

def id_generator(size=6, chars=string.ascii_uppercase + string.digits+string.ascii_lowercase):
    return ''.join(random.choice(chars) for x in range(size))

def handle_uploaded_file(f):
    with open('/tmp/'+f.name, 'wb+') as destination:
        for chunk in f.chunks():
            destination.write(chunk)
    return f.name

def index(request):
    c = { 
        'settings': settings, 
        'request': request
    }
    c.update(csrf(request))
    return render_to_response(
        'index.html', 
        c
    )


def upload(request):
    if request.method == 'POST':
        a=request.POST
        name = handle_uploaded_file(request.FILES['imagem'])
        db = MongoClient().imongo
        fs = gridfs.GridFS(db)

        f = open("/tmp/"+name, "rb")
        id = id_generator()
        data = fs.put(f.read(), filename=name, hash=id)
        os.remove("/tmp/"+name)


        return HttpResponseRedirect('/i/?id='+id)

def i(request):

    db = MongoClient().imongo
    fs = gridfs.GridFS(db)
    imagem = fs.get_last_version(hash=request.GET['id'])
    
    c = { 
        'settings' : settings, 
        'request'  : request,
        'hash'     : request.GET['id']
    }
    c.update(csrf(request))
    return render_to_response(
        'i.html', 
        c
    )

def render(request):

    db = MongoClient().imongo
    fs = gridfs.GridFS(db)
    rawData = list(fs.get_last_version(hash=request.GET['id']))
    return HttpResponse(rawData[0], mimetype="image/png")

    
def status(request):

    # Contando registros no banco
    db = MongoClient().imongo
    fs = gridfs.GridFS(db)
    images_count = db['fs.files'].find().count()

    i=0

    images_size = 0.0
    while i < images_count:
        arquivo = db['fs.files'].find()[i]
        images_size = images_size + arquivo['length']

        i=i+1


    if images_size < 1024:
        images_size = "%3.2f %s" % (images_size,'b')

    elif images_size < 1024*1024:
        images_size = "%3.2f %s" % (images_size/1024,'Kb')

    elif images_size < 1024*1024*1024:
        images_size = "%3.2f %s" % (images_size/1024/1024,'Mb')

    elif images_size < 1024*1024*1024*1024:
        images_size = "%3.2f %s" % (images_size/1024/1024/1024,'Gb')


    c = { 
        'settings' : settings, 
        'request'  : request,
        'images_count' : images_count,
        'images_size'  : images_size
    }
    c.update(csrf(request))
    return render_to_response(
        'status.html', 
        c
    )